Overview of SQL Server Setup Documentation

[image]

Overview of SQL Server Setup Documentation
Send Feedback

Documentation for SQL Server Setup is available on the installation media and online.

Documentation Available During Setup

During the installation of SQL Server, click on the Help button on Setup Wizard page or press F1 on your keyboard for immediate information that you need to complete the operation.

Overview of SQL Server Installation Topics

Whether you use the SQL Server Installation Wizard or the command prompt to install SQL Server, you may want to prepare by reading the following sections:

  • Planning a SQL Server Installation.

    Describes how to prepare for a SQL Server installation.

  • Installing or Upgrading a SQL Server installation.

    Describes the installation or upgrade options for SQL Server.

  • Configuring a SQL Server Installation.

    Describes how to configure a SQL Server installation.

If you are installing a SQL Server failover cluster, review the following:

  • Getting Started with SQL server Failover Clustering.

  • Before Installing Failover Clustering.

Provide feedback on this topic to Microsoft

© 2012 Microsoft Corporation. All rights reserved.


About the SQL Server License Terms

[image]

About the SQL Server License Terms
See Also Send Feedback

The Microsoft Software License Terms are copied to the local computer when SQL Server is installed. When multiple instances of the same edition and language of SQL Server are installed on the same computer, a single copy of the license terms will apply to all instances of that edition and language. The files are written to: %ProgramFiles%\Microsoft SQL Server\110\License Terms\ or %ProgramFiles(x86)%\Microsoft SQL Server\110\License Terms\.

When multiple instances of the same SQL Server edition and language are installed on the same computer, a single copy of the license terms will apply to all instances of that edition and language.

The license terms file name indicates the edition of SQL Server as well as the SQL Server language edition. For example:

  • License_DEV_ENU.txt for SQL Server Developer, English language edition.

  • License_STD_ITA.txt for SQL Server Standard, Italian language edition.

  • License_UA_JPN.txt for SQL Server Upgrade Advisor, Japanese language edition.

  • License_SQLNCLI_ENU.txt for SQL Server Native Client, English language edition.

  • License_SQLXML4_KOR.txt for SQLXML, Korean language edition.

  • License_SQLBI.rtf for SQL Server Business Intelligence edition.

  • License_ENTCORE.rtf for SQL Server Enterprise edition: Core-based Licensing.

  • License_ENT.rtf for SQL Server Enterprise edition Server/CAL Licensing.

The following file name segments are used to identify SQL Server editions:

  • ENT – Enterprise Edition: Server/Client Access License (CAL) Licensing

  • ENTCORE – Enterprise Edition: Core-based Licensing

  • BI – Business Intelligence

  • DEV – Developer

  • STD – Standard

  • WEB – Web

  • EXPR – Express

The following file name segments are used to identify SQL Server languages:

  • ENU - English

  • JPN - Japanese

  • FRA - French

  • ITA - Italian

  • KOR - Korean

  • DEU - German

  • ESN - Spanish

  • CHS - Simplified Chinese

  • CHT - Traditional Chinese

  • NLA - Dutch

  • PTB - Portuguese (Brazilian)

  • SVE - Swedish

  • RUS - Russian

SQL Server Licensing Options

For more information about SQL Server pricing and licensing options, see the Microsoft SQL Server (http://go.microsoft.com/fwlink/?LinkId=190955) Web site.

See Also

Concepts

Licensing Considerations for SQL Server
Microsoft SQL Server Privacy Statement
Legal Notice for Documentation


Licensing Considerations for SQL Server

[image]

Licensing Considerations for SQL Server
See Also Send Feedback

For more information about SQL Server licensing options, see this Microsoft SQL Server Web site.

See Also

Reference

About the SQL Server License Terms

Concepts

Microsoft SQL Server Privacy Statement
Legal Notice for Documentation


Legal Notice for Documentation

[image]

Legal Notice for Documentation
Send Feedback

This document is provided “as-is”. Information and views expressed in this document, including URL and other Internet Web site references, may change without notice. You bear the risk of using it.

Some examples depicted herein are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

This document does not provide you with any legal rights to any intellectual property in any Microsoft product. You may copy and use this document for your internal, reference purposes.

© 2012 Microsoft. All rights reserved.

Microsoft , Active Directory, ActiveX, Bing Maps, Excel, IntelliSense, MSDN, MS-DOS, PivotChart, PivotTable, PowerPoint, SharePoint, SQL Server, Visual Basic, Visual C#, Visual C++, Visual Studio, Windows, Windows NT, Windows Server, and Windows Vista are trademarks of the Microsoft group of companies. SAP NetWeaver is the registered trademark of SAP AG in Germany and in several other countries. All other trademarks are property of their respective owners.

Documentation Policy for SQL Server Support and Upgrade

Microsoft SQL Server 2012 software documentation includes Microsoft Books Online for Microsoft SQL Server 2012, installation documentation, developer reference documentation, tutorials, readme files, known issues documents, sample code, sample databases, and Knowledge Base articles published by Microsoft- all contain content about SQL Server features and functionality. This support and upgrade policy applies to Microsoft SQL Server 2012 documentation, including readme files for Microsoft SQL Server 2012 releases and service packs; a readme file is considered an extension of Books Online for Microsoft SQL Server 2012.

The primary purpose of a sample contained within this documentation is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that may normally be found in a full production system, as some of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Technical support is not available for these samples or for any included source code.

In some cases, a particular feature in Microsoft SQL Server 2012 has not been sufficiently tested or developed and is not intended for your use. Such features are often there as placeholders. Therefore, certain features that are included in the software are not documented. Features that are not documented or that are included as a notation for Microsoft internal use are not intended for your use and are not supported by Microsoft Customer Support Services. Unless the Microsoft SQL Server 2012 documentation states otherwise, third party content, including issues that result from using such third party content with Microsoft SQL Server 2012, are not supported by Microsoft Customer Support Services and may also result in loss of data. Microsoft Customer Support Services also does not provide support for databases or applications that leverage or use undocumented entry points like undocumented APIs, including but not limited to: stored procedures, extended stored procedures, functions, views, tables, columns, properties, or metadata.

Server and database upgrades to future versions of Microsoft SQL Server 2012 for applications and databases that leverage and use undocumented entry points also may not work and are not supported. Use of SQL Server features and functionality included in Microsoft SQL Server that are not documented in the Microsoft SQL Server 2012 documentation for your use are not supported and such use may cause loss of data.


Microsoft SQL Server Privacy Statement

[image]

Microsoft SQL Server Privacy Statement
Send Feedback

For information about user data collection components in Microsoft SQL Server 2012, see the SQL Server Privacy Statement


File Locations for Default and Named Instances of SQL Server

[image]

File Locations for Default and Named Instances of SQL Server
See Also Send Feedback

An installation of SQL Server consists of one or more separate instances. An instance, whether default or named, has its own set of program and data files, as well as a set of common files shared between all instances of SQL Server on the computer.

For an instance of SQL Server that includes the Database Engine, Analysis Services, and Reporting Services, each component has a full set of data and executable files, and common files shared by all components.

To isolate install locations for each component, unique instance IDs are generated for each component within a given instance of SQL Server.

Important note Important

Program files and data files cannot be installed on a removable disk drive, cannot be installed on a file system that uses compression, cannot be installed to a directory where system files are located, and cannot be installed on shared drives on a failover cluster instance.

Do not delete any of the following directories or their contents: Binn, Data, Ftdata, HTML, or 1033. You can delete other directories, if necessary; however, you might not be able to retrieve any lost functionality or data without uninstalling and then reinstalling SQL Server. Do not delete or modify any of the .htm files in the HTML directory. They are required for SQL Server tools to function properly.

Shared Files for All Instances of SQL Server

Common files used by all instances on a single computer are installed in the folder <drive>:\Program Files\Microsoft SQL Server\110\, where <drive> is the drive letter where components are installed. The default is usually drive C.

File Locations and Registry Mapping

During SQL Server Setup, an instance ID is generated for each server component. The server components in this SQL Server release are the Database Engine, Analysis Services, and Reporting Services.

The default instance ID is constructed by using the following format:

  • MSSQL for the Database Engine, followed by the major version number, followed by an underscore and the minor version when applicable, and a period, followed by the instance name.

  • MSAS for Analysis Services, followed by the major version number, followed by an underscore and the minor version when applicable, and a period, followed by the instance name.

  • MSRS for Reporting Services, followed by the major version number, followed by an underscore and the minor version when applicable, and a period, followed by the instance name.

Examples of default instance IDs in this release of Microsoft SQL Server 2012 are as follows:

  • MSSQL11.MSSQLSERVER for a default instance of Microsoft SQL Server 2012.

  • MSAS11.MSSQLSERVER for a default instance of Analysis Services.

  • MSSQL11.MyInstance for a named instance of Microsoft SQL Server 2012 named "MyInstance."

The directory structure for a Microsoft SQL Server 2012 named instance that includes the Database Engine and Analysis Services, named "MyInstance", and installed to the default directories would be as follows:

  • C:\Program Files\Microsoft SQL Server\MSSQL11.MyInstance\

  • C:\Program Files\Microsoft SQL Server\MSASSQL11.MyInstance\

You can specify any value for the instance ID, but avoid special characters and reserved keywords. For more information, see Reserved Keywords (Setup).

You can specify a non-default instance ID during SQL Server Setup. Instead of <Program Files>\Microsoft SQL Server, a <custom path>\Microsoft SQL Server is used if the user chooses to change the default installation directory. Note that instance IDs that begin with an underscore (_) or that contain the number sign (#) or the dollar sign ($) are not supported.

Note Note

Integration Services and client components are not instance aware and, therefore are not assigned an instance ID. By default, non-instance-aware components are installed to a single directory: <drive>:\Program Files\Microsoft SQL Server\110\. Changing the installation path for one shared component also changes it for the other shared components. Subsequent installations install non-instance-aware components to the same directory as the original installation.

SQL Server Analysis Services is the only SQL Server component that supports instance renaming after installation. If an instance of Analysis Services is renamed, the instance ID will not change. After instance renaming is complete, directories and registry keys will continue to use the instance ID created during installation.

The registry hive is created under HKLM\Software\Microsoft\Microsoft SQL Server\<Instance_ID> for instance-aware components. For example,

  • HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL11.MyInstance

  • HKLM\Software\Microsoft\Microsoft SQL Server\MSASSQL11.MyInstance

  • HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL.110

The registry also maintains a mapping of instance ID to instance name. Instance ID to instance name mapping is maintained as follows:

  • [HKEY_LOCAL_MACHINE\Software\Microsoft\Microsoft SQL Server\Instance Names\SQL] "InstanceName"="MSSQL11"

  • [HKEY_LOCAL_MACHINE\Software\Microsoft\Microsoft SQL Server\Instance Names\OLAP] "InstanceName"="MSASSQL11"

  • [HKEY_LOCAL_MACHINE\Software\Microsoft\Microsoft SQL Server\Instance Names\RS] "InstanceName"="MSRSSQL11"

Specifying File Paths

During Setup, you can change the installation path for the following features:

The installation path is displayed in Setup only for features with a user-configurable destination folder:

Component | Default path1, 2 | Configurable3 or Fixed Path
Database Engine server components | \Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\ | Configurable
Database Engine data files | \Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\ | Configurable
Analysis Services server | \Program Files\Microsoft SQL Server\MSAS11.<InstanceID>\ | Configurable
Analysis Services data files | \Program Files\Microsoft SQL Server\MSAS11.<InstanceID>\ | Configurable
Reporting Services report server | \Program Files\Microsoft SQL Server\MSRS11.<InstanceID>\Reporting Services\ReportServer\Bin\ | Configurable
Reporting Services report manager | \Program Files\Microsoft SQL Server\MSRS11.<InstanceID>\Reporting Services\ReportManager\ | Fixed path
Integration Services | <Install Directory>\110\DTS\ | Configurable4
Master Data Services | <Install Directory>\110\Master Data Services | Configurable4
Client Components | <Install Directory>\110\Tools\ | Configurable4
Replication and server-side COM objects | <drive>:\Program Files\Microsoft SQL Server\110\COM\5 | Fixed path
Integration Services component DLLs for the Data Transformation Run-time engine, the Data Transformation Pipeline engine, and the dtexec command prompt utility | <drive>:\Program Files\Microsoft SQL Server\110\DTS\Binn | Fixed path
DLLs that provide managed connection support for Integration Services | <drive>:\Program Files\Microsoft SQL Server\110\DTS\Connections | Fixed path
DLLs for each type of enumerator that Integration Services supports | <drive>:\Program Files\Microsoft SQL Server\110\DTS\ForEachEnumerators | Fixed path
SQL Server Browser Service, WMI providers | <drive>:\Program Files\Microsoft SQL Server\110\Shared\ | Fixed path
Components that are shared between all instances of SQL Server | <drive>:\Program Files\Microsoft SQL Server\110\Shared\ | Fixed path

1Ensure that the \Program Files\Microsoft SQL Server\ folder is protected with limited permissions.

2The default drive for these locations is systemdrive, normally drive C.

3Installation paths for child features are determined by the installation path of the parent feature.

4A single installation path is shared between Integration Services and client components. Changing the installation path for one component also changes it for other components. Subsequent installations install components to the same location as the original installation.

5This directory is used by all instances of SQL Server on a computer. If you apply an update to any of the instances on the computer, any changes to files in this folder will affect all instances on the computer. When you add features to an existing installation, you cannot change the location of a previously installed feature, nor can you specify the location for a new feature. You must either install additional features to the directories already established by Setup, or uninstall and reinstall the product.

Note Note

For clustered configurations, you must select a local drive that is available on every node of the cluster.

When you specify an installation path during Setup for the server components or data files, the Setup program uses the instance ID in addition to the specified location for program and data files. Setup does not use the instance ID for tools and other shared files. Setup also does not use any instance ID for the Analysis Services program and data files, although it does use the instance ID for the Analysis Services repository.

If you set an installation path for the Database Engine feature, SQL Server Setup uses that path as the root directory for all instance-specific folders for that installation, including SQL Data Files. In this case, if you set the root to "C:\Program Files\Microsoft SQL Server\MSSQL11\MSSQL\", instance-specific directories are added to the end of that path.

Customers who choose to use the USESYSDB upgrade functionality in the SQL Server Installation Wizard (Setup UI mode) can easily lead themselves into a situation where the product gets installed into a recursive folder structure. For example, <SQLProgramFiles>\MSSQL11\MSSQL\MSSQL11\MSSQL\Data\. Instead, to use the USESYSDB feature, set an installation path for the SQL Data Files feature instead of the Database Engine feature.

Note Note

Data files are always expected to be found in a child directory named Data. For example, specify C:\Program Files\Microsoft SQL Server\MSSQL11\ to specify the root path to the data directory of the system databases during upgrade when data files are found under C:\Program Files\Microsoft SQL Server\MSSQL11\MSSQL\Data.

See Also

Reference

Database Engine Configuration - Data Directories
Analysis Services Configuration - Data Directories


View and Read SQL Server Setup Log Files

[image]

View and Read SQL Server Setup Log Files
See Also Send Feedback

Each execution of Setup creates log files are created with a new timestamped log folder at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\. The time-stamped log folder name format is YYYYMMDD_hhmmss. When Setup is run in an unattended mode, the logs are created at % temp%\sqlsetup*.log. All files in the logs folder are archived into the Log*.cab file in their respective log folder.

A typical Setup request goes through three execution phases:

  1. Global rules text

  2. Component update

  3. User-requested action

In each phase, Setup generates detail and summary logs with additional logs created as appropriate. Setup is called at least three times per user-requested Setup action.

Datastore files contain a snapshot of the state of all configuration objects being tracked by the Setup process, and are useful for troubleshooting configuration errors. XML file dumps are created for datastore objects for each execution phase. They are saved in their own log subfolder under the time-stamped log folder, as follows:

  • Datastore_GlobalRules

  • Datastore_ComponentUpdated

  • Datastore

The following sections describe SQL Server Setup log files.

Summary Text

Overview

This file shows the SQL Server components that were detected during Setup, the operating system environment, command-line parameter values if they are specified, and the overall status of each MSI/MSP that was executed.

The log is organized into the following sections:

  • An overall summary of the execution

  • Properties and the configuration of the computer where SQL Server Setup was run

  • SQL Server product features previously installed on the computer

  • Description of the installation version and installation package properties

  • Runtime input settings that are provided during install

  • Location of the configuration file

  • Details of the execution results

  • Global rules

  • Rules specific to the installation scenario

  • Failed rules

  • Location of the rules report file

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\.

To find errors in the summary text file, search the file by using the "error" or "failed" keywords.

Summary_engine-base_YYYYMMDD_HHMMss.txt

Overview

The summary_engine base file is similar to the summary file and is generated during the main workflow.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Summary_engine-base_YYYYMMDD_HHMMss_ComponentUpdate.txt

Overview

The component update summary log file is similar to the summary file and is generated during the component update workflow.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Summary_engine-base_<VersionNumber>MMDD_HHMMss_GlobalRules.txt

Overview

The global rules summary log file is similar to the summary file generated during the global rules workflow.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Detail.txt

Overview

Detail.txt is generated for the main workflow such as install or upgrade, and provides the details of the execution. The logs in the file are generated based on the time when each action for the installation was invoked, and show the order in which the actions were executed, and their dependencies.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup

Bootstrap\Log\<YYYYMMDD_HHMM>\Detail.txt.

If an error occurs during the Setup process, the exception or error are logged at the end of this file. To find the errors in this file, first examine the end of the file followed by a search of the file for the “error” or “exception” keywords.

Detail_ComponentUpdate.txt

Overview

The Detail_ComponentUpdate.txt file is generated for the component update workflow and is similar to Detail.txt.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Detail_GlobalRules.txt

Overview

Detail_GlobalRules.txt is generated for the global rules execution and is similar to Detail.txt.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

MSI log files

Overview

The MSI log files provide details of the installation package process. They are generated by the MSIEXEC during the installation of the specified package.

Types of MSI log files:

  • <Feature>_<Architecture>_<Interation>.log

  • <Feature>_<Architecture>_<Language>_<Interation>.log

  • <Feature>_<Architecture>_<Interation>_<workflow>.log

Location

The MSI log files are located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\<Name>.log.

At the end of the file is a summary of the execution which includes the success or failure status and properties. To find the error in the MSI file, search for “value 3” and usually the errors can be found close to the string.

ConfigurationFile.ini

Overview

The configuration file contains the input settings that are provided during installation. It can be used to restart the installation without having to enter the settings manually. However, passwords for the accounts, PID, and some parameters are not saved in the configuration file. The settings can be either added to the file or provided by using the command line or the Setup user interface. For more information, see Install SQL Server 2012 using a Configuration File (http://go.microsoft.com/fwlink/?LinkId=231296).

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

SystemConfigurationCheck_Report.htm

Overview

The system configuration check report contains a short description for each executed rule, and the execution status.

Location

It is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

See Also

Concepts

Troubleshooting an Installation of SQL Server


Troubleshooting an Installation of SQL Server

[image]

Troubleshooting an Installation of SQL Server
See Also Send Feedback

To view troubleshooting information about installation and upgrade issues, see SQL Server 2012 Readme (http://go.microsoft.com/fwlink/?LinkId=235859).

See Also

Concepts

View and Read SQL Server Setup Log Files


SQL Server Setup User Interface Reference

[image]

SQL Server Setup User Interface Reference
Send Feedback

This section describes the installation options presented by the SQL Server Installation Wizard.


Accept License Terms

[image]

Accept License Terms
See Also Send Feedback

Use the Accept License Terms page of the SQL Server Installation Wizard to accept the license terms for this release of SQL Server.

You can print the license agreement or copy it to the Clipboard. To continue, accept the license terms, and then click Next. To close the installation, click Cancel.

Feature Usage Reporting

If you enable Feature Usage reporting, SQL Server is configured to periodically send a report to Microsoft. Reports include information about your hardware configuration and how you use SQL Server and components. Microsoft will use feature usage data to improve SQL Server. SQL Server components monitored by this feature include the following:

  • The Database Engine

  • Analysis Services

  • Reporting Services

  • Integration Services

  • Replication

  • SQL Server Data Tools (SSDT)

  • SQL Server Setup

Information about feature use is sent to Microsoft, where it is stored with limited access.

To disable feature usage reporting after Setup completes, use the SQL Server Error and Usage Reporting tool on the SQL Server Configuration Tools menu.

For Setup actions like installation, upgrade, repair, and so on, information is collected and uploaded only during the Setup program execution

For all other SQL Server components, information is collected one time per day for all enabled instances of SQL Server. By default, the time of collection is midnight to minimize the load on the server. If you want to change the time of collection, you can manually edit the registry key that controls the collection time. Each instance of SQL Server has its own registry key:

HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL11.<INSTANCEID>\CPE\TimeofReporting

The value of this registry key contains the time for the collection as the number of minutes from 00:00 (midnight) to run. For example, a value of 60 would run the collection at 1:00 a.m., a value of 1200 would run the collection at 8:00 p.m., and so on.

See Also

Reference

About the SQL Server License Terms


Add SQL Server Failover Cluster Node

[image]

Add SQL Server Failover Cluster Node
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


Analysis Services Configuration - Account Provisioning

[image]

Analysis Services Configuration - Account Provisioning
See Also Send Feedback

Use this page to set the server mode, and to grant administrative permissions to users or services requiring unrestricted access to Analysis Services. Setup does not automatically add the local Windows Group BUILTIN\Administrators to the Analysis Services server administrator role of the instance you are installing. If you want to add the local Administrators group to the server administrator role, you must explicitly specify that group.

If you are installing PowerPivot for SharePoint, be sure to grant administrative permissions to SharePoint farm administrators or service administrators who are responsible for a PowerPivot server deployment in a SharePoint Server 2010 farm. For more information about PowerPivot service installation and service account requirements, see Installing PowerPivot for SharePoint.

Options

Server Mode - The server mode specifies the type of Analysis Services databases that can be deployed to the server. Server modes are determined during Setup and cannot be modified later. Each mode is mutually exclusive, which means that you will need two instances of Analysis Services, each configured for a different mode, to support both classic OLAP and tabular model solutions.

Specify Administrators - You must specify at least one server administrator for the instance of SQL Server. The users or groups that you specify will become members of the server administrator role of the Analysis Services instance you are installing. These must be Windows domain user accounts in the same domain as the computer on which you are installing the software.

Note Note

User Account Control (UAC) is a Windows security feature that requires an administrator to specifically approve administrative actions or applications before they are allowed to run. Because UAC is on by default, you will be prompted to allow specific operations that require elevated privileges. You can configure UAC to change the default behavior or customize UAC for specific programs. For more information about UAC and UAC configuration, see User Account Control Step by Step Guide and User Account Control (Wikipedia).

See Also

Other Resources

Change Service Accounts and Passwords (PowerPivot for SharePoint)
Configure the Analysis Services Service Account
Setting Up Windows Service Accounts


Analysis Services Configuration - Data Directories

[image]

Analysis Services Configuration - Data Directories
See Also Send Feedback

The default directories in the following table are user-configurable during SQL Server Setup. Permission to access these files is granted to local administrators and to members of the SQLServerMSASUser$<instance> security group that is created and provisioned during Setup.

Description

Default directory

Recommendations

Data root directory

C:\Program Files\Microsoft SQL Server\MSAS11.<InstanceID>\OLAP\Data\

Ensure that the \Program files\Microsoft SQL Server\ folder is protected with limited permissions. Analysis Services performance depends, in many configurations, on the performance of the storage on which the data directory is located. Place this directory on the highest performing storage that is attached to the system. For failover cluster installations, ensure that data directories are placed on the shared disk.

Log file directory

C:\Program Files\Microsoft SQL Server\MSAS11.<InstanceID>\OLAP\Log\

This is the directory for Analysis Services log files, and it includes the FlightRecorder log. If you increase the flight recorder duration, ensure that the log directory has adequate space.

Temp directory

C:\Program Files\Microsoft SQL Server\MSAS11.<InstanceID>\OLAP\Temp\

Place the Temp directory on the high performance storage subsystem.

Backup directory

C:\Program Files\Microsoft SQL Server\MSAS11.<InstanceID>\OLAP\Backup\

This is the directory for Analysis Services default backup files. For PowerPivot for SharePoint installations, it also where the PowerPivot System Services caches PowerPivot data files.

Ensure appropriate permissions are set to prevent data loss, and that the user group for the Analysis Services service has adequate permissions to write to the backup directory. Using a mapped drive for backup directories is not supported.

Notes

  • Analysis Services instances that are deployed on a SharePoint farm store application files, data files, and properties in content databases and service application databases.

  • When you add features to an existing installation, you cannot change the location of a previously installed feature, nor can you specify the location for a new feature.

  • If you specify non-default installation directories, ensure that the installation folders are unique to this instance of SQL Server. None of the directories in this dialog box should be shared with directories from other instances of SQL Server. The Database Engine and Analysis Services components within an instance of SQL Server should also be installed to separate directories.

  • Program files and data files cannot be installed in the following situations:

    • On a removable disk drive

    • On a file system that uses compression

    • To a directory where system files are located

    • On shared drives on a failover cluster instance

See Also

Concepts

File Locations for Default and Named Instances of SQL Server


Cluster Disk Selection

[image]

Cluster Disk Selection
Send Feedback

Use the Cluster Disk Selection page of the SQL Server Installation Wizard to select the shared cluster disk resource for your SQL Server failover cluster. The cluster disk is where the SQL Server data will be placed.

A shared cluster disk is not a requirement for SQL Server Database Engine cluster installations. An SMB file server is a supported storage for SQL Server Database Engine failover cluster installations, and can be specified by using the Database Engine – Data Directories page before completing the installation.

Caution note Caution

If you have selected Analysis Services to be installed, you must specify a shared cluster disk.

If you plan to enable FILESTREAM on this SQL Server failover cluster instance, you must specify a shared cluster disk.

Options

Shared Disks

Select a single disk from the list. The cluster disk is where the SQL Server data will be placed.

Only one disk can be specified. If you select the group containing the cluster quorum resource, a warning will be displayed. We recommend that you do not install to the cluster quorum resource.

Available Shared Disks

Displays a list of available disks, whether each is qualified as a shared disk, and a description of each disk resource.


Cluster Network Configuration

[image]

Cluster Network Configuration
Send Feedback

Use the Cluster Network Selection page to specify the network resources for your failover cluster instance.

Options

SQL Server Failover Cluster Network Name - This is the name used to identify your failover cluster instance on the network.

Network Settings - Specify the IP type and IP address for your failover cluster instance.

During the Add Node and Remove Node operations, SQL Server displays a read-only list of the existing IP addresses for the SQL Server failover cluster.

  • Integrated Install:

    • If you are adding a node that supports an identical set of network subnets supported by the existing nodes of the SQL Server failover cluster, no additional IP addresses can be added. The dependency setting remains unchanged.

    • If you are adding a node that supports a subset of the subnets supported by the existing nodes on the SQL Server failover cluster, no additional IP address resources can be added. The IP address resource dependency is set to OR to reflect that all the specified IP addresses are not valid on all the cluster nodes.

    • If you are adding a node that supports subnets in addition to the subnets already supported by the existing nodes on the SQL Server failover cluster, you have the option of adding new valid IP addresses. If new IP addresses are specified, the IP address resource dependency is set to OR to reflect that all the specified IP addresses are not valid on all the cluster nodes.

    • If you are adding a node that supports additional network subnets, but supports none of the subnets supported by the existing nodes on the SQL Server failover cluster, you are required to add additional IP addresses. The IP address resource dependency is set to OR to reflect that all the specified IP addresses are not valid on all the cluster nodes.

  • Advanced Install: During the Complete step of the installation, specify the IP address for all the nodes and subnets for your failover cluster instance. You can specify multiple IP addresses for a multi-subnet failover cluster, but only one IP address per subnet is supported. Every prepared node should be an owner of at least one IP address. If you have multiple subnets in your SQL Server failover cluster, you are prompted to set the IP address resource dependency to OR.Remove Node:

    • If the remaining IP addresses are supported on all the remaining nodes, you are prompted to set the IP address resource dependencyto AND.

    • If the remaining IP addresses are not supported on all the remaining nodes, the IP address resource dependency is left as OR.


Cluster Node Configuration

[image]

Cluster Node Configuration
Send Feedback

Use the Cluster Node Configuration page to add or remove nodes from a failover cluster instance.To install or upgrade a SQL Server failover cluster, you must run the Setup program on each node of the failover cluster. To add a node to an existing SQL Server failover cluster, you must run SQL Server Setup on the node that is to be added to the SQL Server failover cluster instance.

Options

SQL Server Instance Name - Use the drop-down list to select the SQL Server failover cluster instance to modify.

Name of this node - This field will be populated with the name of the computer that is running SQL Server Setup. This is the failover cluster node that will be added to or removed from the SQL Server failover cluster instance.


Cluster Node Configuration (Complete)

[image]

Cluster Node Configuration (Complete)
Send Feedback

Use the Cluster Node Configuration (Complete) page to specify an existing instance of SQL Server that has been prepared for clustering.To install or upgrade a SQL Server failover cluster, you must run the Setup program on each node of the failover cluster. To add a node to an existing SQL Server failover cluster, you must run SQL Server Setup on the node that is to be added to the SQL Server failover cluster instance.

Options

From the drop-down boxes:

  • SQL Server instance name — Select the instance name for the SQL Server failover cluster.

  • Name of this node — This field is pre-populated with the computer name where the SQL Server Setup program is running.

  • SQL Server Failover Cluster Network Name — This field is not pre-populated. Specify the network name for the new SQL Server failover cluster instance. This is the name that identifies the failover cluster instance on the network.


Cluster Resource Group

[image]

Cluster Resource Group
See Also Send Feedback

Use the Cluster Resource Group page to specify the disk where SQL Server virtual server resources will be located.

Options

Specify the SQL Server cluster resource group name. You have two options:

  • Use the drop-down box to specify an existing group to use.

  • Type the name of a new group to create. Note that the name "Available storage" is not a valid group name.

See Also

Other Resources

How to: Create a New SQL Server Failover Cluster


Cluster Security Policy

[image]

Cluster Security Policy
Send Feedback

Use the Cluster Security Policy page to configure the security policy for your failover cluster instance.

Options

Specify global or local domain groups for clustered services. All resource permissions are controlled by domain-level groups that include SQL Server service accounts as group members. For more information about service security IDs (SID) functionality on Windows Server 2008, see Setting Up Windows Service Accounts.

If you are installing a Microsoft SQL Server 2012 Failover Cluster Instance in a Windows 2000 mixed mode domain, you must use domain global groups for SQL Server Clustered Services.

Note Note

Windows 2000 domain controllers can operate in mixed mode and native mode. Mixed mode allows downlevel domain controllers in the same domain.


Complete - Complete Image

[image]

Complete - Complete Image
Send Feedback

Use the Complete page to verify that the configuration of the prepared instance is complete.

Options

This dialog box includes a link to the Setup log file for this operation. To complete the installation, click Close.


Complete Image Progress

[image]

Complete Image Progress
See Also Send Feedback

Use the Complete Image Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server image completion setup. At the completion of this step, this page lists the status for each SQL Server feature configured and completed.

See Also

Concepts

View and Read SQL Server Setup Log Files


Complete Image Rules

[image]

Complete Image Rules
Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)


Complete - Prepare Image

[image]

Complete - Prepare Image
Send Feedback

Use the Complete page to verify that image preparation is complete.

Options

This dialog box includes a link to the Setup log file for this operation. To complete the image preparation, click Close.


Complete - Repair

[image]

Complete - Repair
Send Feedback

Use the Complete - Repair page to verify that the repair has completed.

Options

This dialog box includes a link to the Setup log file for this operation. To continue, click Close.


Complete - Upgrade

[image]

Complete - Upgrade
Send Feedback

Use the Complete (Upgrade) page to verify that the upgrade has completed.

Options

This dialog box includes a link to the Setup log file for this operation. To continue, click Close.


Database Engine Configuration - Account Provisioning

[image]

Database Engine Configuration - Account Provisioning
See Also Send Feedback

Use this page to set the SQL Server security mode, and to add Windows users or groups as administrators of the SQL Server Database Engine.

Considerations for Running SQL Server 2012 on Windows Vista, Windows 7, Windows Server 2008

On previous versions of SQL Server, the BUILTIN\Administrators group was provisioned as a login in the Database Engine and members of the local Administrators group could login using their Administrator credentials. Using elevated permissions is not a best practice. In Microsoft SQL Server 2012 the BUILTIN\Administrators group is not provisioned as a login. As a result, you should create a SQL Server login for each administrative user, and add that login to the sysadmin fixed server role during installation of a new instance of Microsoft SQL Server 2012. You should also do this for Windows accounts that are used to run SQL Server agent jobs. These include replication agent jobs.

Options

Security Mode - Select Windows Authentication or Mixed Mode Authentication for your installation.

Windows Principal Provisioning - In previous versions of SQL Server, the Windows Builtin\Administrator local group was placed into the SQL Server sysadmin server role, effectively granting Windows administrators access to the instance of SQL Server. In Microsoft SQL Server 2012, the Builtin\Administrator group is not provisioned in the sysadmin server role. Instead, you should explicitly provision SQL Server administrators for new installations during Setup.

Important note Important

You must explicitly provision SQL Server administrators for new installations during Setup. Setup will not allow you to continue until you complete this step.

Specify SQL Server Administrators - You must specify at least one Windows principal for the instance of SQL Server. To add the account under which SQL Server Setup is running, click the Current User button. To add or remove accounts from the list of system administrators, click Add or Remove, and then edit the list of users, groups, or computers that will have administrator privileges for the instance of SQL Server.

When you are finished editing the list, click OK, then verify the list of administrators in the configuration dialog. When the list is complete, click Next.

If you select Mixed Mode Authentication, you must provide logon credentials for the builtin SQL Server system administrator (SA) account.

Security note Security Note

Do not use a blank password. Use a strong password.

Windows Authentication Mode

When a user connects through a Windows user account, SQL Server validates the account name and password using the Windows principal token in the operating system. This is the default authentication mode, and is much more secure than Mixed Mode. Windows Authentication utilizes Kerberos security protocol, provides password policy enforcement in terms of complexity validation for strong passwords, provides support for account lockout, and supports password expiration.

Security note Security Note

When possible, use Windows Authentication.

Important note Important

Do not use a blank password. Use a strong password. Never set a blank or weak sa password.

Mixed Mode (Windows Authentication or SQL Server Authentication)

Allows users to connect by using Windows Authentication or SQL Server Authentication. Users who connect through a Windows user account can use trusted connections that are validated by Windows.

If you must choose Mixed Mode Authentication and you have a requirement for using SQL logins to accommodate legacy applications, you must set strong passwords for all SQL Server accounts.

Note Note

SQL Server Authentication is provided for backward compatibility only. When possible, use Windows Authentication.

Enter Password

Enter and confirm the system administrator (sa) login. Passwords are the first line of defense against intruders, so setting strong passwords is essential to the security of your system. Never set a blank or weak sa password.

Note Note

SQL Server passwords can contain from 1 to 128 characters, including any combination of letters, symbols, and numbers. If you choose Mixed Mode authentication, you must enter a strong sa password before you can continue to the next page of the Installation Wizard.

Strong Password Guidelines

Strong passwords are not readily guessed by a person, and are not easily hacked using a computer program. Strong passwords cannot use prohibited conditions or terms, including:

  • A blank or NULL condition

  • "Password"

  • "Admin"

  • "Administrator"

  • "sa"

  • "sysadmin"

A strong password cannot be the following terms associated with the installation computer:

  • The name of the user currently logged onto the machine.

  • The computer name.

A strong password must be more than 8 characters in length and satisfy at least three of the following four criteria:

  • It must contain uppercase letters.

  • It must contain lowercase letters.

  • It must contain numbers.

  • It must contain non-alphanumeric characters; for example, #, %, or ^.

Passwords entered on this page must meet strong password policy requirements. If you have any automation that uses SQL Server Authentication, ensure that the password meets strong password policy requirements.

Related Content

For more information about choosing Windows Authentication vs. SQL Server Authentication, see the topic Choose an Authentication Mode in SQL Server Books Online.

For more information about choosing an account to run the SQL Server Database Engine, see the topic Configure Windows Service Accounts and Permissions in SQL Server Books Online.

See Also

Reference

Configure Windows Service Accounts and Permissions


Database Engine Configuration - Data Directories

[image]

Database Engine Configuration - Data Directories
See Also Send Feedback

Use this page to specify the installation location for SQL Server Database Engine program and data files. Based on the type of installation, the supported storage may include local disk, shared storage, or an SMB file server.

To specify an SMB file share as a directory, you must manually type the supported UNC path. Browsing to an SMB file share is not supported. The following is a supported UNC path format of an SMB file share: “\\Servername\ShareName\...”

Stand-Alone Instance of SQL Server

The following table lists the supported storage types and the default directories for a stand-alone instance of SQL Server that are user configurable during SQL Server Setup.

Description | Supported Storage Type | Default directory | Recommendations
Data root directory | Local Disk, SMB File Server, Shared Storage 1 | C:\Program Files\Microsoft SQL Server\ | SQL Server Setup will configure ACLs for SQL Server directories and break inheritance as part of configuration.
User database directory | Local Disk, SMB File Server, Shared Storage 1 | C:\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data | Best practices for user data directories depend on workload and performance requirements.
User database log directory | Local Disk, SMB File Server, Shared Storage 1 | C:\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data | Ensure that the log directory has adequate space.
Temp DB directory | Local Disk, SMB File Server, Shared Storage 1 | C:\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data | Best practices for the Temp directory depend on workload and performance requirements.
Temp DB log directory | Local Disk, SMB File Server, Shared Storage 1 | C:\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data | Ensure that the log directory has adequate space.
Backup directory | Local Disk, SMB File Server, Shared Storage 1 | C:\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Backup | Set appropriate permissions to prevent data loss, and ensure that the user account for the SQL Server service has adequate permissions to write to the backup directory. Using a mapped drive for backup directories is not supported.

1 Although shared disks are supported, it is not a recommended practice for a stand-alone instance of SQL Server.

Failover Cluster Instance of SQL Server

The following table lists the supported storage types and the default directories for a failover cluster instance of SQL Server that are user configurable during SQL Server Setup.

Description

Supported Storage Type

Default Directory

Recommendations

Data root Directory

Shared Storage, SMB File Server

<Drive:>\Program Files\Microsoft SQL Server\

Tip Tip

If shared disk was selected on the Cluster Disk Selection page, the default is the first shared disk. This field defaults to blank if no selection was made on the Cluster Disk Selection page.

SQL Server Setup will configure ACLs for SQL Server directories and break inheritance as part of configuration.

User database directory

Shared Storage, SMB File Server

<Drive:>Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data

Tip Tip

If shared disk was selected on the Cluster Disk Selection page, the default is the first shared disk. This field defaults to blank if no selection was made on the Cluster Disk Selection page.

Best practices for user data directories depend on workload and performance requirements.

User database log directory

Shared Storage, SMB File Server

<Drive:>\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data

Tip Tip

If shared disk was selected on the Cluster Disk Selection page, the default is the first shared disk. This field defaults to blank if no selection was made on the Cluster Disk Selection page.

Ensure that the log directory has adequate space.

Temp DB directory

Local Disk, Shared Storage, SMB File Server

<Drive:>\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data

Tip Tip

If shared disk was selected on the Cluster Disk Selection page, the default is the first shared disk. This field defaults to blank if no selection was made on the Cluster Disk Selection page.

Ensure that the specified directory is valid for all the cluster nodes. During failover, if the tempdb directories are not available on the failover target node, the SQL Server resource will fail to come online.

Temp DB log directory

Local Disk, Shared Storage, SMB File Server

<Drive:>\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Data

Tip Tip

If shared disk was selected on the Cluster Disk Selection page, the default is the first shared disk. This field defaults to blank if no selection was made on the Cluster Disk Selection page.

Ensure that the specified directory is valid for all the cluster nodes. During failover, if the tempdb directories are not available on the failover target node, the SQL Server resource will fail to come online.

Backup directory

Local Disk, Shared Storage, SMB File Server

<Drive:>\Program Files\Microsoft SQL Server\MSSQL11.<InstanceID>\MSSQL\Backup

Tip Tip

If shared disk was selected on the Cluster Disk Selection page, the default is the first shared disk. This field defaults to blank if no selection was made on the Cluster Disk Selection page.

Set appropriate permissions to prevent data loss, and ensure that the user account for the SQL Server service has adequate permissions to write to the backup directory. Using a mapped drive for backup directories is not supported.

Security Considerations

Setup will configure ACLs for SQL Server directories and break inheritance as part of configuration.

The following recommendations apply to the SMB file server:

  • The SQL Server service account must be a domain account if an SMB file server is used.

  • The account used to install SQL Server should have FULL CONTROL NTFS permissions on the SMB file share folder used as the data directory.

  • The account used to install SQL Server should be granted SeSecurityPrivilege privileges on the SMB file server. To grant this privilege, use the Local Security Policy console on the file server to add the SQL Server setup account to the Manage auditing and security log policy. This setting is available in the User Rights Assignments section under Local Policies in the Local Security Policy console.

Notes

  • When adding features to an existing installation, you cannot change the location of a previously installed feature, nor can you specify the location for a new feature.

  • If you specify non-default installation directories, ensure that the installation folders are unique to this instance of SQL Server. None of the directories in this dialog box should be shared with directories from other instances of SQL Server. The Database Engine and Analysis Services components within an instance of SQL Server should also be installed to separate directories.

  • Program files and data files cannot be installed in the following situations:

    • On a removable disk drive

    • On a file system that uses compression

    • To a directory where system files are located

    • On a mapped network drive on a failover cluster instance

See Also

Concepts

File Locations for Default and Named Instances of SQL Server

Other Resources

Share and NTFS Permissions on a File Server


Database Engine Configuration - Filestream

[image]

Database Engine Configuration - Filestream
See Also Send Feedback

Use this page to enable FILESTREAM for this installation of Microsoft SQL Server 2012. FILESTREAM integrates the SQL Server Database Engine with an NTFS file system by storing varbinary(max) binary large object (BLOB) data as files on the file system. Transact-SQL statements can insert, update, query, search, and back up FILESTREAM data. Win32 file system interfaces provide streaming access to the data.

Enable FILESTREAM for Transact-SQL access

Select to enable FILESTREAM for Transact-SQL access. This control must be checked before the other control options will be available.

Enable FILESTREAM for file I/O streaming access

Select to enable Win32 streaming access for FILESTREAM.

Windows share name

Use this control to enter the name of the Windows share in which the FILESTREAM data will be stored.

Allow remote clients to have streaming access to FILESTREAM data

Select this control to allow remote clients to access this FILESTREAM data on this server.

See Also

Reference

sp_configure (Transact-SQL)

Concepts

Enable and Configure FILESTREAM


Database Engine Configuration - User Instance

[image]

Database Engine Configuration - User Instance
Send Feedback

Use the User Instance page to generate a separate instance of the Database Engine for users without administrator permissions, and to add users to the administrator role.

Option

Enable User Instances

Default is on. To disable the functionality of enabling user instances, clear the check box.

The user instance, also known as a child or client instance, is an instance of SQL Server that is generated by the parent instance (the primary instance that runs as a service, like SQLExpress) on behalf of a user. The user instance runs as a user process under the security context of that user. The user instance is isolated from the parent instance and any other user instances running on the computer. The user instance feature is also referred to as “Run As Normal User” (RANU).

Note Note

Logins provisioned as members of the sysadmin fixed server role during setup are provisioned as administrators in the template database. They are members sysadmin fixed server role on the user instance unless removed

Add User to the SQL Server Administrator role

Default is not on. To add the current setup user to the SQL Server Administrator role, select the check box.

Windows Vista users that are members of BUILTIN\Administrators are not automatically added to the sysadmin fixed server role when they connect to SQL Server Express. Only Windows Vista users that have been explicitly added to a server-level administrator role can administer SQL Server Express. Any member of the Built-In\Users group can connect to the SQL Server Express instance, but they will have limited permissions to perform database tasks. For this reason, users whose SQL Server Express privileges are inherited from BUILTIN\Administrators and Built-In\Users in previous releases of Windows must be explicitly granted administrative privileges in instances of SQL Server Express running on Windows Vista.

To make any changes to the user roles after this installation program ends, use the SQL Server 2005 Surface Area Configuration Tool (SQLSAC.exe). To update the list of users in the SQL Server System Administrator role, click the Add New Administrator link.

Ensure that the User to provision field lists the DomainName\UserName of the user whose permissions should be updated. Select the role to be updated from the list of SQL Server instances in the Available privileges pane, and then click the right arrow. To add the user to all available roles for all available instances of SQL Server instances and all available roles, click the double right arrow.

To implement the changes when your selections are complete, click OK. To end the tool without making changes, click Cancel.


Disk Space Requirements

[image]

Disk Space Requirements
See Also Send Feedback

Use the Disk Cost Summary page to examine disk space requirements for the SQL Server features that you selected for your installation.

Options

If required disk space is too high, consider the following options:

  • Change installation directories to a drive with more disk space.

  • Change the SQL Server features for your installation.

  • Create more free space on the specified drive by moving other files or applications.

See Also

Other Resources

Hardware and Software Requirements for Installing SQL Server 2008 R2


Distributed Replay Controller Configuration

[image]

Distributed Replay Controller Configuration
Send Feedback

Use the Distributed Replay Controller Configuration page of the SQL Server Installation Wizard to specify the users you want to grant administrative permissions to for the Distributed Replay controller service.

Users that have administrative permissions will have unlimited access to the Distributed Replay controller service.

Options

Add Current User

Click this button to add the users to whom you want to grant access permissions for the Distributed Replay controller service.

Add

Click this button to add access permissions for the Distributed Replay controller service.

Remove

Click this button to remove access permissions from the Distributed Replay controller service.


Distributed Replay Client Configuration

[image]

Distributed Replay Client Configuration
Send Feedback

Use the Distributed Replay Client Configuration page of the SQL Server Installation Wizard to specify the users you want to grant administrative permissions to for the Distributed Replay client service.

Users that have administrative permissions will have unlimited access to the Distributed Replay client service.

Options

Controller Name

This is an optional parameter, and the default value is <blank>.

Enter the name of the controller that the client computer will communicate with for the Distributed Replay client service. Note the following:

  • The name must be a fully qualified domain name (FQDN). For example, a host called server1 in the products hierarchy at Microsoft may have an FQDN of server1.products.microsoft.com.

  • If you have already set up a controller, enter the name of the controller while configuring each client.

  • If you have net yet set up a controller, you can leave the controller name blank. However, you must manually enter the controller name in the client configuration file.

Working Directory

Specify the working directory for the Distributed Replay client service.

The default working directory is <drive letter>:\Program Files\Microsoft SQL Server\DReplayClient\WorkingDir\.

Result Directory

Specify the result directory for the Distributed Replay client service.

The default result directory is <drive letter>:\Program Files\Microsoft SQL Server\DReplayClient\ResultDir\.


Edition Upgrade Rules

[image]

Edition Upgrade Rules
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the edition upgrade, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


Error Reporting

[image]

Error Reporting
Send Feedback

Use the Error and Usage Report Settings page of the SQL Server Installation Wizard to enable feature error and usage reporting functionality for SQL Server.

Options

By default, the Feature Usage data collection and Error Reporting features are disabled for SQL Server and its components in Microsoft SQL Server 2012.

Error Reporting

If you enable the Error Reporting feature, SQL Server is configured to send a report to Microsoft automatically if a fatal error occurs in any of the following SQL Server components:

  • The Database Engine

  • SQL Server Agent

  • Analysis Services

  • Reporting Services

  • Integration Services

  • Replication

Microsoft uses error reports to improve SQL Server functionality and treats all information as confidential.

Information about errors is sent over a secure (https) connection to Microsoft, where it is stored with limited access. Alternatively, error reports can be sent to your own Corporate Error Reporting server.

Error reports contain the following information:

  • The condition of SQL Server when the problem occurred.

  • The operating system version and computer hardware information.

  • Your Digital Product ID, which is not used to identify your license.

  • The network IP address of your computer or proxy server.

  • Information from memory or file(s) of the process that caused the error.

Microsoft does not intentionally collect your files, name, address, e-mail address, or any other form of personal information. The error report can, however, contain personal information from the memory or files of the process that caused the error. Although this information can potentially be used to determine your identity, Microsoft does not use this information for that purpose.

For more information about the SQL Server privacy and data collection policy, see Microsoft SQL Server Privacy Statement.

If you enable Error Reporting and a fatal error occurs, you might see a response from Microsoft in the Windows Event log that points to a Microsoft Knowledge Base article on a particular error.

To disable Error or Feature Usage reporting for all instances of SQL Server and its components after Setup completes, go to the Error and Usage Report Settings dialog and clear the check boxes for Feature Usage. If Error Reporting is enabled for multiple components of SQL Server (the SQL Server Database Engine, Analysis Services, Reporting Services, and shared components) you can disable Error Reporting for each instance of an individual component as well as shared components, listed as Others.


Failover cluster report

[image]

Failover cluster report
Send Feedback

Use the Failover Cluster Report page to view report results from the Setup system scan for this operation.

Options

To view a detailed report for the scan, click the report link.


Feature Review

[image]

Feature Review
See Also Send Feedback

The Feature Review page is a read-only list of features that have been prepared and will be configured and completed at the end of the complete image step. The feature list is selected during the prepare image step and cannot be modified during complete image step. In addition to the features displayed, a prepared instance also includes SQL Server Browser, SQL Server Writer, and SQL Server Native Client.

You can add other features not included in the prepared instance of the SQL Server instance after you have completed the configuration of the prepared instance of SQL Server.

Component Group

Components and features

Database Engine Services

The SQL Server Database Engine includes the following components:

  • The Database Engine is the core service for storing, processing, and securing data.

    • Replication: (Optional) Replication is a set of technologies for copying and distributing data and database objects from one database to another and then synchronizing between databases to maintain consistency.

    • Full-Text Search: (Optional) Full-Text Search provides functionality to issue full-text queries against plain character-based data in SQL Server tables.

    • Data Quality Services (Optional): Data Quality Services (DQS) is a data-cleansing solution that enables you to discover inconsistent and incorrect data in your data source, and provides automated and interactive ways to cleanse the data.

Reporting Services

Reporting Services includes server and client components for creating, managing, and deploying tabular, matrix, graphical, and free-form reports. Reporting Services is also an extensible platform that you can use to develop report applications.

See Also

Other Resources

How to: Install SQL Server using SysPrep


Installation Rules

[image]

Installation Rules
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


Feature Rules

[image]

Feature Rules
Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)


Feature Selection

[image]

Feature Selection
See Also Send Feedback

Use the check boxes on the Feature Selection page of the SQL Server Installation wizard to select components for your SQL Server installation.

Installing SQL Server Features

On the Feature Selection page, the SQL Server features are separated into two main sections: Instance Features and Shared Features.

Instance Features refers to the components that are installed once for each instance so that you have multiple copies of them (one for each instance). Each instance can be a separate version that has a different patch level. When you install a patch, whether it is a service pack, a hotfix, or a cumulative update, it updates only the files for one instance on a given machine, plus the shared features if they have not already been updated.

Shared Features refers to features that are common across all instances on a given machine. Each of these shared features is designed to be backward compatible with supported SQL Server versions (service packs, cumulative updates, and hotfixes) that can install side by side.

Note Note

SQL Server SysPrep: The Database Engine and Reporting Services are the only Microsoft SQL Server 2012 features that support SQL Server SysPrep. You can select these features and components during the prepare image step of the process. You cannot make the selection while completing a prepared image of SQL Server. For more information, see How to: Install SQL Server 2012 using SysPrep (http://go.microsoft.com/fwlink/?LinkId=190965).

SQL Server Failover Clusters: The Database Engine and Analysis Services components are the only Microsoft SQL Server 2012 features that support failover clustering. You can install other components, like Reporting Services or Integration Services, on a failover cluster node, but they are not cluster-aware, and their services do not fail over if the failover cluster node goes offline. For more information, see Getting Started with SQL Server Failover Clustering (http://go.microsoft.com/fwlink/?LinkId=190953).

Instance Features

A description for each component group appears in the Description pane when you select it. You can select any combination of check boxes. To continue, you must make a selection.

Features

Description

Database Engine Services

SQL Server Database Engine includes the Database Engine, the core service for storing, processing, and securing data, replication, full-text search, tools for managing relational and XML data, and the Data Quality Services (DQS) server.

  • The Database Engine is the core service for storing, processing, and securing data.

  • Replication: Optional: Replication is a set of technologies for copying and distributing data and database objects from one database to another and then synchronizing between databases to maintain consistency.

  • Full-Text Search: Optional: Full-Text Search provides functionality to issue full-text queries against plain character-based data in SQL Server tables.

  • Data Quality Services: Optional: Data Quality Services (DQS) is a data-cleansing solution that enables you to discover inconsistent and incorrect data in your data source, and provides computer-assisted and interactive ways to cleanse your data. Select this check box to install DQS server. After the SQL Server installation completes, you have to run the DQSInstaller.exe file to complete the DQS server installation. If you installed the default instance of SQL server, this file is available at C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Binn.

SQL Server Failover Clusters: Replication and Full-Text Search components are required, and automatically selected by Setup for SQL Server failover clustering installations when you select Database Engine Services.

Analysis Services

Analysis Services includes the tools for creating and managing online analytical processing (OLAP) and data mining applications.

Reporting Services –Native

Reporting Services Native mode includes server and client components for creating, managing, and deploying tabular, matrix, graphical, and free-form reports. Reporting Services is also an extensible platform that you can use to develop report applications.

Important note Important

  1. Setup does not configure load-balancing and single-URL addressing for multiple nodes in a Reporting Services scale-out deployment. To complete a scale-out deployment, you must use Windows Server, Microsoft Application Center, or third-party cluster management software. For more information about setting up Web farm deployment, see Configuring Reporting Services for Scale-Out Deployment (http://go.microsoft.com/fwlink/?LinkId=199448).

  2. Microsoft Internet Explorer 7.0 SP 1 is required for the Report Designer component of Reporting Services.

  3. Reporting Services is not supported in side-by-side configurations on the 64-bit platform and on the 32-bit subsystem (WOW64) of a 64-bit server at the same time.

Shared Features

Features shared by all instances of SQL Server on a single computer are installed to a single directory. They include the following:

Feature

Description

Reporting Services –SharePoint

Reporting Services SharePoint mode is a server based application for creating, managing, and delivering reports to email, multiple file formats, and interactive Web-based formations. SharePoint mode integrates the report viewing and report management experience with SharePoint products.

Reporting Services Add-in for SharePoint Products

Reporting Services Add-in for SharePoint products includes management and user interface components to integrate a SharePoint product with an Reporting Services report server in SharePoint mode.

Data Quality Client

Data Quality Client is a standalone application that connects to the DQS server, and provides an intuitive graphical user interface to perform data-cleansing and data-matching operations, and to perform administrative tasks in DQS.

SQL Server Data Tools1

SQL Server Data Tools (SSDT) provides an IDE for building solutions for the Business Intelligence components: Analysis Services, Reporting Services, and Integration Services.

(Formerly called Business Intelligence Development Studio).

SSDT also includes “Database Projects”, which provides an integrated environment for database developers to carry out all their database design work for any SQL Server platform (both on and off premise) within Visual Studio. Database developers can use the enhanced Server Explorer in Visual Studio to easily create or edit database objects and data, or execute queries.

Client Tools Connectivity

Client Tools includes components for communication between clients and servers, including network libraries for DB-Library, OLEDB for OLAP, ODBC, ADODB, and ADOMD+.

Integration Services

Integration Services is a set of graphical tools and programmable objects for moving, copying, and transforming data.

Client Tools Backward Compatibility

Client Tools Backward Compatibility includes the following components:

  • SQL Distributed Management Objects (SQL-DMO). For more information, see Discontinued SQL Server Features in SQL Server 2012 (http://go.microsoft.com/fwlink/?LinkId=190968).

  • Decision Support Objects (DSO). For more information, see Breaking Changes to Analysis Services Features in SQL Server 2012 (http://go.microsoft.com/fwlink/?LinkId=190970).

Client Tools SDK

Includes the software development kit containing resources for programmers.

Documentation Components

Documentation components include the components to view and manage help content.

Management Tools - Basic

Management Tools – Basic : This includes the following:

  • SQL Server Management Studio support for the SQL Server Database Engine, SQL Server Express, sqlcmd utility, and the SQL Server PowerShell provider

Management Tools – Complete : This includes the following components in addition to the components in the basic version:

  • SQL Server Management Studio support for Reporting Services, Analysis Services, and Integration Services

  • SQL Server Profiler

  • Database Engine Tuning Advisor

  • SQL Server Utility management

Distributed Replay Controller

The Distributed Replay controller orchestrates the actions of the distributed replay clients. There can only be one controller instance in each Distributed Replay environment. For more information, see SQL Server Distributed Replay (http://go.microsoft.com/fwlink/?LinkId=229847).

Distributed Replay Client

The Distributed Replay clients work together to simulate workloads against an instance of SQL Server. There can be one or more clients in each Distributed Replay environment. For more information, see SQL Server Distributed Replay (http://go.microsoft.com/fwlink/?LinkId=229847).

SQL Client Connectivity SDK

Includes SQL Server Native Client (ODBC/OLE DB) SDK for database application development.

Master Data Services

Master Data Services is a platform for integrating data from disparate systems across an organization into a single source of master data for accuracy and auditing purposes. The Master Data Services option installs Master Data Services Configuration Manager, assemblies, a Windows PowerShell snap-in, and folders and files for Web applications and services.

LocalDB

LocalDB is an execution mode of SQL Server Express targeted to program developers. Initiated by a special connection string, the necessary SQL Server infrastructure is automatically created and started, enabling the application to use the database without configuration or management tasks.

1Internet Explorer 6.0 SP1 is required for SQL Server Data Tools (SSDT) installations.

By default, shared components are installed to %Program Files%Microsoft SQL Server\. To change the installation path, click the Browse button. If you change the installation path for one shared component, you also change it for other shared components. Subsequent installations will install shared components to the same location as the original installation.

On x64-based operating systems, you can specify where 64-bit components will be installed, and where on the WOW64 subsystem 32-bit components will be installed.

Installing AdventureWorks Sample Databases

By default, sample databases and sample code are not installed as part of SQL Server Setup. For more information about installing sample databases and sample code, see the Microsoft SQL Server Community Projects & Samples (http://go.microsoft.com/fwlink/?LinkId=87843).

Additional information about samples is available after Microsoft SQL Server 2012 has been installed. From the Start menu, click All Programs, click Microsoft SQL Server 2012, click Documentation and Tutorials, and then click Microsoft SQL Server Samples Overview.

See Also

Other Resources

Editions and Components of SQL Server 2012


Feature Selection (Uninstall)

[image]

Feature Selection (Uninstall)
Send Feedback

Use the Feature Selection — Uninstall page to select features to remove from the specified instance of SQL Server.

Options

You can select any combination of features.


Features to Upgrade

[image]

Features to Upgrade
See Also Send Feedback

Use the Features to Upgrade page of the Microsoft SQL Server 2012 Installation Wizard to view the features to be upgraded to Microsoft SQL Server 2012.

Options

  • It is not possible to change the features to be upgraded in this release. To add features to this instance of SQL Server, complete the upgrade process, restart Setup and, click New Installation or Add Features to an Existing Installation on the installation center.

See Also

Other Resources

Version and Edition Upgrades
Using Upgrade Advisor to Prepare for Upgrades
Working with Multiple Versions of SQL Server


Full-Text Search Upgrade Options

[image]

Full-Text Search Upgrade Options
Send Feedback

Use the Full-Text Search Upgrade Options page of the SQL Server Installation Wizard to select the full-text search upgrade option to use for the databases that you are upgrading at this time.

In SQL Server 2005 and earlier versions, each full-text index resides in a full-text catalog that belongs to a filegroup, has a physical path, and is treated as a database file. Beginning in SQL Server 2008, a full-text catalog is a logical concept—a virtual object—that refers to a group of full-text indexes. Therefore, a new full-text catalog is not treated as a database file with a physical path. However, during upgrade of any full-text catalog that contains data files, a new filegroup is created on same disk. This maintains the old disk I/O behavior after upgrade. Any full-text index from that catalog is placed in the new filegroup if the root path exists. If the old full-text catalog path is invalid, the upgrade keeps the full-text index in the same filegroup as base table or, for a partitioned table, in the primary filegroup.

Options

When you upgrade from SQL Server 2005 or SQL Server 2008 to Microsoft SQL Server 2012, choose one of the following full-text upgrade options.

Import

Full-text catalogs are imported. Typically, import is significantly faster than rebuild. For example, when using only one CPU, import runs about 10 times faster than rebuild. However, a full-text catalog imported from SQL Server 2005 does not use the new and enhanced word breakers that were introduced in SQL Server 2008, so you might want to rebuild your full-text catalogs eventually.

Note Note

Rebuild can run in multi-threaded mode, and if more than 10 CPUs are available, rebuild might run faster than import if you allow rebuild to use all of the CPUs.

If a full-text catalog is not available, the associated full-text indexes are rebuilt. This option is available for only SQL Server 2005 databases.

For information about the impact of importing full-text index, see "Considerations for Choosing a Full-Text Upgrade Option," later in this topic.

Rebuild

Full-text catalogs are rebuilt using the new and enhanced word breakers that were introduced in SQL Server 2008. Rebuilding indexes can take awhile, and a significant amount of CPU and memory might be required after the upgrade.

Reset

Full-text catalogs are reset. When upgrading from SQL Server 2005, full-text catalog files are removed, but the metadata for full-text catalogs and full-text indexes is retained. After being upgraded, all full-text indexes are disabled for change tracking and crawls are not started automatically. The catalog will remain empty until you manually issue a full population, after the upgrade completes.

All of these upgrade options ensure that upgraded databases benefit fully from the full-text performance enhancements of SQL Server 2008 and later versions.

Important note Important

For information about using new word breakers and upgrading noise-word files to stoplists after importing a SQL Server 2005 full-text index, see the topic “Full-Text Search Upgrade” in the Setup Help for Microsoft SQL Server 2012.

Considerations for Choosing a Full-Text Upgrade Option

When choosing the upgrade option for your upgrade, consider the following:

  • How do you use word breakers?

    The full-text search service in Microsoft SQL Server 2012 includes word breakers and stemmers that were introduced in SQL Server 2008. These might change the results of full-text queries from SQL Server 2005 for a specific text pattern or scenario. Therefore, how you use word breakers is important when choosing a suitable upgrade option:

    • If the word breakers of the full-text language you use did not change in SQL Server 2008 or later versions, or if recall accuracy is not critical to you, importing is suitable. Later, if you experience any recall issues, you can upgrade to the new word breakers simply by rebuilding your full-text catalogs. For more information, see the topic “Full-Text Search Upgrade” in the Setup Help for Microsoft SQL Server 2012.

    • If you care about recall accuracy and you use one of the word breakers that were improved in SQL Server 2008, rebuilding is suitable.

  • Were any full-text indexes built on integer full-text key columns?

    Rebuilding performs internal optimizations that improve the query performance of the upgraded full-text index in some cases. Specifically, if you have full-text catalogs that contain full-text indexes for which the full-text key column of the base table is an integer data type, rebuilding achieves ideal performance of full-text queries after upgrade. In this case, we highly recommend you to use the Rebuild option.

    Note Note

    For full-text indexes in Microsoft SQL Server 2012, we recommend that the column serving as the full-text key be an integer data type. For more information, see the topic “Performance Tuning and Optimization (Full-Text Search)” in Microsoft SQL Server 2012 Books Online..

  • What is the priority for getting your server instance online?

    Importing or rebuilding during upgrade takes a lot of CPU resources, which delays getting the rest of the server instance upgraded and online. If getting the server instance online as soon as possible is important and if you are willing to run a manual population after the upgrade, Reset is suitable.


Complete - Installation

[image]

Complete - Installation
See Also Send Feedback

Click Close to finish the installation.

See Also

Concepts

Validate a SQL Server Installation


Installation Prerequisites

[image]

Installation Prerequisites
Send Feedback

For SQL Server to install successfully, the following software components are required on the installation computer. They will be installed by SQL Server Setup:

  • .NET Framework version 4.0 for all editions of Microsoft SQL Server 2012

  • SQL Server Setup support files

  • SQL Server Native Client

Note Note

These components are not removed if Setup fails or is canceled. To remove them, use Add or Remove Programs in Control Panel.

Options

To install the prerequisite files, click Install. To quit the installation, click Cancel.


Installation Progress

[image]

Installation Progress
See Also Send Feedback

Use the Installation Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server Setup.

See Also

Concepts

View and Read SQL Server Setup Log Files


Installation Type

[image]

Installation Type
Send Feedback

Use the Installation Type page of the SQL Server Installation Wizard to specify whether to install a new instance of SQL Server, or add features to an existing instance.

Options

Select the radio button that specifies your choice:

  • Perform a new installation of SQL Server

  • Add features to an existing instance of SQL Server

    If you select the option to add features to an existing instance, use the drop-down list to select the instance of SQL Server to update.

You can only add the SysPrep supported features—Database Engine and Reporting Services—to a prepared image of SQL Server. Other features that are not supported by SysPrep can be added after the prepared instance is completed.

Note You cannot add features to a failover cluster instance after it is installed. To add SQL Server features to an existing failover cluster, you must perform a new installation to install a separate instance of SQL Server.


Instance Configuration

[image]

Instance Configuration
Send Feedback

Use the Instance Configuration page of the SQL Server Installation Wizard to specify whether to create a default instance or a named instance of SQL Server. If an instance of SQL Server is not already installed, a default instance will be created unless you specify a named instance.

Each instance of SQL Server consists of a distinct set of services that have specific settings for collations and other options. The directory structure, registry structure, and service names all reflect the instance name and a specific instance ID created during SQL Server Setup.

An instance is either the default instance or a named instance. The default instance name is MSSQLSERVER. It does not require a client to specify the name of the instance to make a connection. A named instance is determined by the user during Setup. You can install SQL Server as a named instance without installing the default instance first. Only one installation of SQL Server, regardless of version, can be the default instance at one time.

Note Note

With SQL Server SysPrep, you can specify the instance name when you complete a prepared instance on the Instance Configuration page. You can choose to configure the prepared instance you are completing as a default instance if there is no existing default instance of SQL Server on the machine.

Multiple Instances

SQL Server supports multiple instances of SQL Server on a single server or processor, but only one instance can be the default instance. All others must be named instances. A computer can run multiple instances of SQL Server concurrently, and each instance runs independently of other instances.

For more information, see Maximum Capacity Specifications for SQL Server.

Options

Failover cluster instances only — Specify the SQL Server failover cluster network name. This name identifies the failover cluster instance on the network.

Default or Named instance — Consider the following information when you decide whether to install a default or named instance of SQL Server:

  • If you plan to install a single instance of SQL Server on a database server, it should be a default instance.

  • Use a named instance for situations where you plan to have multiple instances on the same computer. A server can host only one default instance.

  • Any application that installs SQL Server Express should install it as a named instance. This will minimizes conflict when multiple applications are installed on the same computer.

Default instance

Select this option to install a default instance of SQL Server. A computer can host only one default instance; all other instances must be named. However, if you have a default instance of SQL Server installed, you can add a default instance of Analysis Services to the same computer.

Named instance

Select this option to create a new named instance. Be aware of the following when you name an instance of SQL Server:

  • Instance names are not case sensitive.

  • Instance names cannot start or end with an underscore (_).

  • Instance names cannot contain the term "Default" or other reserved keywords. If a reserved keyword is used in an instance name, a Setup error will occur. For more information, see Reserved Keywords.

  • If you specify MSSQLServer for the instance name, a default instance will be created. For SQL Server Express, if you specify SQLExpress for the instance name, a default instance will be created.

  • An installation of Microsoft SQL Server 2012 PowerPivot for SharePoint is always installed as a named instance of 'PowerPivot'. You cannot specify a different instance name for this feature role.

  • Instance names are limited to 16 characters.

  • The first character in the instance name must be a letter. Acceptable letters are those defined by the Unicode Standard 2.0. These include Latin characters a-z, A-Z, and letter characters from other languages.

  • Subsequent characters can be letters defined by the Unicode Standard 2.0, decimal numbers from Basic Latin or other national scripts, the dollar sign ($), or an underscore (_).

  • Embedded spaces or other special characters are not allowed in instance names. The backslash (\), comma (,), colon (:), semi-colon (;), single quote ('), ampersand (&), and at sign (@) are also not allowed.

    Note Note

    Only characters that are valid in the current Windows code page can be used in SQL Server instance names. If an unsupported Unicode character is used, a Setup error will occur.

Detected instances and features

View a list of installed SQL Server instances and components on the computer where SQL Server Setup is running.

Instance ID - By default, the instance name is used as the Instance ID. This is used to identify installation directories and registry keys for your instance of SQL Server. This is the case for default instances and named instances. For a default instance, the instance name and instance ID would be MSSQLSERVER. To use a non-default instance ID, specify it in the Instance ID field.

Important note Important

With SQL Server SysPrep, the Instance ID displayed on this page is the Instance ID specified during the prepare image step of the SQL Server SysPrep process. You will not be able to specify a different Instance ID during the complete image step.

Note Note

Instance IDs that begin with an underscore (_) or that contain the number sign (#) or the dollar sign ($) are not supported.

For more information about directories, file locations, and instance ID naming, see File Locations for Default and Named Instances of SQL Server.

Instance root directory - By default, the instance root directory is C:\Program Files\Microsoft SQL Server\. To specify a non-default root directory, click the Browse button, or provide a path name.

All components of a given instance of SQL Server are managed as a unit. All SQL Server service packs and upgrades will apply to every component of an instance of SQL Server.

All components of SQL Server that share the same instance name must meet the following criteria:

  • Same version

  • Same edition

  • Same language settings

  • Same clustered state

    Note Note

    Reporting Services is not cluster-aware.

  • Same operating system


Instance Selection (Uninstall)

[image]

Instance Selection (Uninstall)
Send Feedback

On the Instance Selection — Uninstall page, use the drop-down box to specify the instance of SQL Server to uninstall.

Options

You can specify an entire instance of SQL Server, or you can specify that only the shared features and Management Tools are uninstalled.


Instance Selection (Upgrade)

[image]

Instance Selection (Upgrade)
Send Feedback

Use the Instance Selection (Upgrade) page to specify the instance of SQL Server to upgrade.

Options

All components of an instance must be upgraded at the same time. You cannot add or remove features during the upgrade.


Instance to Upgrade

[image]

Instance to Upgrade
See Also Send Feedback

Use the Instance to Upgrade page of the SQL Server Installation Wizard to specify the instance of SQL Server 2005, SQL Server 2008, or SQL Server 2008 R2 that you would like to upgrade to Microsoft SQL Server 2012.

Options

Use the radio buttons to specify whether to upgrade the instance of SQL Server and its shared components, or to upgrade only the shared components. Shared components in this SQL Server release are the following:

  • Integration Services

  • SQL Server Browser

  • SQL Server Active Directory Helper

  • SQL Writer

For more information about supported upgrade scenarios and upgrade known issues, see Version and Edition Upgrades.

See Also

Other Resources

Using Upgrade Advisor to Prepare for Upgrades
Working with Multiple Versions of SQL Server


Post Uninstall

[image]

Post Uninstall
Send Feedback

Use the Post Uninstall page to verify that the operation completed successfully.


Prepare Image Progress

[image]

Prepare Image Progress
See Also Send Feedback

Use the Prepare Image Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server image preparation setup. At the completion of this step, this page lists the status for each SQL Server feature prepared during this process.

See Also

Concepts

View and Read SQL Server Setup Log Files


Prepare Image Rules

[image]

Prepare Image Rules
Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)


Prepare Image Type

[image]

Prepare Image Type
Send Feedback

Use the Prepare Image Type page of the SQL Server Installation Wizard to specify whether to install a new instance of Microsoft SQL Server 2012, or add features to an existing instance.

Options

Select the radio button that specifies your choice:

  • Prepare a new instance of Microsoft SQL Server 2012

  • Add features to an existing prepared instance of Microsoft SQL Server 2012

    If you select the option to add features to an existing instance, use the drop-down list to select the prepared instance of SQL Server to update.

    Note Note

    You can add the SQL Server SysPrep supported features (Database Engine and Reporting Services) to a prepared image of SQL Server. Other features that are not supported by SQL Server SysPrep can only be added after the prepared instance is completed.


Product Key

[image]

Product Key
Send Feedback

Use the Product Key page to validate your instance of SQL Server, or to specify which free edition of SQL Server to install.

Options

To specify a free edition of SQL Server, select the radio button for free installations, and then use the drop-down box to identify which edition to install.

To validate a paid edition of SQL Server, select the radio button for the Product Key, and then provide your key in the space provided.

For failover cluster installations, use the same product key for each failover cluster node. If the product key is from a different SQL Server edition, an error will occur.


Progress (Uninstall)

[image]

Progress (Uninstall)
See Also Send Feedback

Use the Progress (Uninstall) page to monitor the Setup progess.

See Also

Concepts

View and Read SQL Server Setup Log Files


Ready to Complete Image

[image]

Ready to Complete Image
Send Feedback

The Ready to Complete Image page provides a summary of configuration settings that are applied to the configuration of the prepared instance.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel.


Ready to Install

[image]

Ready to Install
See Also Send Feedback

The Ready to Install page provides a summary of features to be installed or changed by SQL Server Setup.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel.

See Also

Concepts

View and Read SQL Server Setup Log Files


Ready to Prepare Image

[image]

Ready to Prepare Image
Send Feedback

The Ready to Prepare Image page provides a summary of the features to be prepared by SQL Server Setup.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel.


Ready to Repair

[image]

Ready to Repair
See Also Send Feedback

The Ready to Repair page provides a summary of the repair process by SQL Server Setup.

Options

You have the following options on this page:

  • To continue with Setup, click Repair.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel

See Also

Concepts

View and Read SQL Server Setup Log Files


Remove SQL Server Failover Cluster Node

[image]

Remove SQL Server Failover Cluster Node
Send Feedback

Use the Remove Failover Cluster Node page to identify the computer to remove as a Microsoft SQL Server 2012 failover cluster node.


Repair Progress

[image]

Repair Progress
See Also Send Feedback

Use the Repair Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server repair.

See Also

Concepts

View and Read SQL Server Setup Log Files


Reporting Services Configuration Options (SSRS)

[image]

Reporting Services Configuration Options (SSRS)
See Also Send Feedback

Use the Reporting Services Configuration page of the Microsoft SQL Server Installation Wizard to specify how a report server is installed and configured. The availability of an installation option depends on options you chose previously on the Feature Selection page and whether you are also installing a local instance of SQL Server Database Engine at the same time you are installing the report server.

In some cases, if a Secure Sockets Layer (SSL) certificate is installed on the computer and is bound to a strong wildcard, Setup will create the Reporting Services URLs using the HTTPS prefix. For more information about how certificates are mapped to Reporting Services URLs, see Configuring a Report Server for Secure Sockets Layer (SSL) Connections (http://go.microsoft.com/fwlink/?LinkId=199089)in SQL Server Books Online.

For the most recent information regarding Reporting Services and the installation and configuration of this release, see Additional installation information (http://go.microsoft.com/fwlink/?LinkId=207425).

Options

Reporting Services Native Mode

If Setup cannot perform a default report server configuration because one or more requirements are not met, the Installation Wizard allows only the minimal installation option; copying the files you need, but requiring you to use the Reporting Services Configuration Manager to configure a native mode report server after setup is finished.

Note Note

An existing report server database file can cause setup to fail if you choose one of the default installation options. When you choose a default installation option, setup attempts to create a report server database using the default name. If a database with that name already exists, setup will fail and you will have to roll back the installation. To avoid this problem, you can rename the existing database before you run setup or choose the Install only option so that you can specify custom database settings after setup is finished.

Install and configure

Installs a report server instance in Native Mode using the default values for the report server databases, service account, and URL reservations. When you choose this option, the report server instance is ready to use when Setup is finished. Setup creates the report server database using a local Database Engine instance, and configures a report server to use default values.

This option is available only if the default values used in a report server installation are valid for your system. This option is recommended for developers who want to install all components locally, and for users who are evaluating the software.

To view information about the default Settings that Setup uses, or to find out why the default configuration cannot be installed, click Details. For more information about the default configuration for a native mode report server, see Default Configuration for a Native Mode Installation (Reporting Services) (http://go.microsoft.com/fwlink/?LinkId=199091).

Install only

Installs the report server program files, creates the Report Server service account, and registers the report server Windows Management Instrumentation (WMI) provider. This installation option is referred to as a "files-only" installation. Select this option if you do not want to use the default configuration. If the default configuration cannot be installed, or if you are installing a SQL Server failover cluster that includes Reporting Services, this is the only option available. For more information about a files-only installation, see Files-Only Installation (Reporting Services) (http://go.microsoft.com/fwlink/?LinkId=199093).

After Setup completes, you must create the report server database and configure the report server before it can be used. To configure a report server and create the database, use the Reporting Services Configuration Manager. For more information, see How to: Create a Report Server Database (Reporting Services Configuration) (http://go.microsoft.com/fwlink/?LinkId=199094) and Configuring a Report Server Database Connection (http://go.microsoft.com/fwlink/?LinkId=199095).

Reporting Services SharePoint Mode

Install only

Installs the report server program files and PowerShell cmdlets. After installation is complete, you will need to start the Reporting Services SharePoint services and create an Reporting Services service application. For more information, see, Overview of installing and configuring Reporting Services Service for SharePoint Integration (http://go.microsoft.com/fwlink/?LinkId=207543), Create A SQL Server Reporting Services Service Application (SSRS) (http://go.microsoft.com/fwlink/?LinkId=207544), and Overview of Reporting Services and SharePoint Integration (http://go.microsoft.com/fwlink/?LinkID=207244).

Installing the Reporting Services Add-in for SharePoint Technologies

Starting with the Microsoft SQL Server 2012 release, the add-in can be installed as part of the SQL Server installation, in the feature selection page of the SQL Server installation wizard.

However you can install the Reporting Services Add-in for SharePoint 2010 the by using one of the following methods:

  • Run the SharePoint 2010 Products Preparation tool PreRequisiteInstaller.exe.

  • Install from the SQL Serverinstallation media. Click the rsSharePoint.msi file in the Setup folder on SQL Server installation media after SQL Server Setup is complete.

  • Download and install the add-in. For more information, see Where to find the Reporting Services add-in for SharePoint Products (http://go.microsoft.com/fwlink/?LinkID=208634).

See Also

Other Resources

How to: Start Reporting Services Configuration Manager
How to: Create a Report Server Database (Reporting Services Configuration)
Considerations for Installing Reporting Services
Default Configuration for a Native Mode Installation (Reporting Services)
Default Configuration for SharePoint Mode (Reporting Services)
Install SQL Server from the Command Prompt


Reporting Services SharePoint Mode Upgrade (SSRS)

[image]

Reporting Services SharePoint Mode Upgrade (SSRS)
See Also Send Feedback

Use the Reporting Services SharePoint Mode page to confirm the upgrade of all shared features. Reporting Services SharePoint mode is an SQL Server shared feature and will be upgraded with all of the other SQL Server shared features. The SQL Server installation wizard does not support upgrading only one shared feature. All SQL Server shared features are upgraded at the same time.

Options

The Next button is available only if you have selected the Continue with upgrade check box. If you do not select the check box, you cannot continue with the upgrade.

For more information, see Reporting Services upgrade (http://go.microsoft.com/fwlink/?LinkId=199092).

See Also

Concepts

View and Read SQL Server Setup Log Files

Other Resources

Install SQL Server from the Command Prompt


Reporting Services SharePoint Mode Authentication

[image]

Reporting Services SharePoint Mode Authentication
See Also Send Feedback

Use the Reporting Services SharePoint Mode Authentication page of the Microsoft SQL Server Installation Wizard to specify the credentials of the service account that is used in the current installation. The credentials will be used to create a new SharePoint application pool. Also, one new SharePoint service application will be created. The service application name will contain the name of the previous instance name.

Options

  • The SSRS Application Pool Account Name: option is read only. The value is automatically populated with the current value from the existing installation that you are upgrading.

  • The SSRS Application Pool Account Password: option will be disabled if the application pool account does not require a password. For example, “NT Authority\NetworkSerivce”. If the application pool account does require a password, you cannot continue with upgrade until you type the correct password.

For more information, see Reporting Services upgrade (http://go.microsoft.com/fwlink/?LinkId=199092).

See Also

Other Resources

Reporting Services upgrade


Select a Prepared Instance

[image]

Select a Prepared Instance
Send Feedback

Use the Select Prepared Instance page to specify the prepared instance you want to complete.

Options

The Select an instance Id box lists the prepared instances that you can complete. Select a prepared instance you want to complete.

Select an instance Id

The list includes all the prepared instances that you can complete on the machine that SQL Server Setup is running. Select a prepared instance you want to complete.

Installed Instances

This includes the installed, prepared, and completed instances.


Server Configuration - Collation

[image]

Server Configuration - Collation
Send Feedback

On the Server Configuration - Collation page of the SQL Server Installation Wizard, you can modify collation settings that the Database Engine and Analysis Services use for sorting purposes. Select the option to match collation settings of different installations of SQL Server, or of another computer.

Options

Customize for SQL Server and Analysis Services

SQL Server provides two groups of collations: Windows collations and SQL Server collations. You can specify separate collation settings for the Database Engine and Analysis Services, or you can specify the same collation for both.

By default, a SQL Server collation is selected for US-English system locales. The default collation for localized versions of SQL Server is determined by the Windows system locale setting for your computer. For more information, see Using SQL Collations.

The default settings should be changed only if the collation setting for this installation of SQL Server must match the collation settings used by another instance of SQL Server, or if it must match the Windows system locale of another computer.

Note Analysis Services uses Windows collations only. If you plan to install Analysis Services, select a Windows collation during SQL Server Setup to ensure consistent results between the SQL Server Database Engine and Analysis Services.

For more information, see Collation Settings in Setup.

Best Practices

For more information about a table of Windows System locales and the corresponding default collations used by SQL Server Setup, see Collation Settings in Setup.

If it is possible, use a single collation for your organization. This way, you do not have to explicitly specify the collation for every database, column, expression, or identifier. If you must work with multiple collations and code page settings, code your queries to consider the rules of collation precedence. For more information, see the Books Online topic for Collation Precedence (Transact-SQL).

When you select a collation for SQL Server, consider the following recommendations:

  • Select a BINARY2 collation if binary code point based ordering is acceptable.

  • Select a Windows collation for consistent comparison across data types.

  • Use a new 100-level collation for better linguistic sorting support. For more information, see Collation and Unicode Support.

  • If you plan to migrate a database to the upgraded instance of SQL Server, select the collation that matches your existing collation of the database.


Server Configuration - Service Accounts

[image]

Server Configuration - Service Accounts
See Also Send Feedback

Use the Server Configuration page of the SQL Server Installation Wizard to assign login accounts to SQL Server services. The actual services configured on this page depend on the features you have selected to install.

Startup accounts used to start and run SQL Server can be domain user accounts, local user accounts, managed service accounts, virtual accounts, or built-in system accounts.

Options

You can assign the same login account to all SQL Server services, or you can configure each service account individually. You can also specify whether services start automatically, are started manually, or are disabled. The default account is recommended for most installations.

  • On Windows 7 and Windows Server 2008 R2 most accounts default to a virtual account.

  • On Windows Vista and Windows Server 2008 most accounts default to the NETWORK SERVICE account.

  • On a cluster installation on Windows Server 2008, you must provide a domain account.

If you configure services to use domain accounts, Microsoft recommends that you configure service accounts individually to provide least privileges for each service, where SQL Server services are granted the minimum permissions they need to complete their tasks. For more information including descriptions of the types of accounts, see Setting Up Windows Service Accounts.

Configure SQL Server service accounts individually (recommended)

Use the grid to provision each SQL Server service with a logon user name and password, and to set the startup type for the service. You can use built-in system accounts, a local account, local group, domain group, or domain user accounts for SQL Server services.

Select any of the following services to customize its settings.

Select this service

To configure authentication settings for

SQL Server Agent

The service that executes jobs, monitors, SQL Server, and allows automation of administrative tasks.

There is no default logon account for this service.

The default startup type is Manual.

SQL Server

The SQL Server Database Engine.

The default startup type is Automatic.

Note Note

SQL Server Browser

SQL Server Browser is the name resolution service that provides SQL Server connection information to client computers. This service is shared across multiple SQL Server and Integration Services instances.

The default logon account is NT Authority\Local service and cannot be changed during SQL Server setup. You can change the account after the setup has been completed.

If the startup type is not specified during setup, it is determined as follows:

  • SQL Server Browser is set to Automatic and running in the installation scenarios described below:

    • SQL Server failover cluster instance

    • Named instance of SQL Server where TCP or NP is enabled

    • Named instance of Analysis Server and is not clustered

  • If none of the above scenarios apply, and SQL Server Browser is already installed, the current state of SQL Server Browser will be maintained.

  • The startup type is set to Disabled and stopped if there is not an existing SQL Server 2005 or SQL Server 2008 or SQL Server 2008 R2 instance prior to the installation.

Analysis Services

Analysis Services.

The default startup type is Automatic.

For SharePoint integrated mode, you must specify a Windows domain user account. The account you specify is used for the Analysis Services service. The account you specify for the current instance must also be used for any additional Analysis Services instances that you subsequently add to the same farm.

Reporting Services

Reporting Services. Service accounts are used to configure a report server database connection. Choose the built-in network service if you want to use default authentication settings. If you specify a domain user account, be sure to register a service principle name (SPN) for it if you are using Windows Authentication on the report server. For more information, see How to: Configure Windows Authentication in Reporting Services.

Important note Important

Microsoft recommends that you do not use the Network Service account for the SQL Server or the SQL Server Agent services if an account with lesser privileges is available, because Network Service is a shareable account. Network Service is appropriate for use as a SQL Server service account only if you can ensure that no other services that use the account are installed on the computer. Local User or Domain User accounts that are not a Windows administrator are more appropriate for SQL Server services.

The default startup type is Automatic.

Integration Services

Integration Services is a set of graphical tools and programmable objects for moving, copying, and transforming data.

The default startup type is Automatic.

SQL Server Full-text Filter Daemon Launcher

The service that creates the fdhost.exe processes. This is required to host the word breakers and filters that process textual data for full-text indexing.

If you provide a domain account in which to run the FDHOST Launcher service, we highly recommend that you use a low privilege account. This account should be different from the account that you use for the SQL Server service. On Windows Vista and Windows Server 2008, the FDHOST Launcher service account defaults to LOCAL SERVICE.

SQL Server Distributed Replay Client

The service account used for the Distributed Replay client service.

Provide an account in which to run the Distributed Replay client service. This account should be different from the account that you use for the SQL Server service.

The default startup type is Manual.

SQL Server Distributed Replay Controller

The service account used for the Distributed Replay controller service.

Provide an account in which to run the Distributed Replay controller service. This account should be different from the account that you use for the SQL Server service.

The default startup type is Manual.

See Also

Other Resources

Security Considerations for a SQL Server Installation


Setup Role

[image]

Setup Role
See Also Send Feedback

Use this page to specify whether to use the Feature Selection page to select individual features, or to install using a setup role.

A setup role is a fixed selection of all the features and shared components that are required to implement a predefined SQL Server configuration.

Options

SQL Server Feature Installation

Choose this option to select individual features and shared components. Instance features include Database Engine Services, Analysis Services (native mode), and Reporting Services.

SQL Server PowerPivot for SharePoint

Choose this option to install Analysis Services server components in a SharePoint 2010 farm. This option deploys the PowerPivot System Service and the Analysis Services server in a farm, enabling query and data processing for published Excel workbooks that contain embedded PowerPivot data.

Optionally, you can add a relational database engine instance to your installation if you require it to host databases in a SharePoint farm. If the farm is already configured, you can skip this option.

After Setup is finished, you must configure the software using one of the following approaches: PowerPivot Configuration tool, PowerShell cmdlets, or SharePoint 2010 Central Administration. In contrast with previous releases, Setup no longer performs any configuration tasks for a PowerPivot installation.

A role-based installation does not include the SQL Server PowerPivot for Excel client application. The client application is installed separately.

All Features With Defaults

Choose this setup role to install all features that are available for this release. Note that PowerPivot for SharePoint is excluded from this role. You must use the PowerPivot for SharePoint setup role to install that feature.

The Database Engine is configured to start using the NT AUTHORITY\NETWORK SERVICE account. The current user will be provisioned as a member of the SQL Server sysadmin role. Values set by this option can be overridden by specifying additional command line parameters.

On Windows Vista or Windows Server 2008 or higher and when the operating system is not a domain controller, by default the Database Engine and Reporting Services will use the NTAUTHORITY\NETWORK SERVICE account, Integration Services will use the NTAUTHORITY\NETWORK SERVICE account, and the SQL Full text Filter Daemon Launcher will use the NTAUTHORITY\LOCAL SERVICE account.

See Also

Reference

Feature Selection

Other Resources

Installing PowerPivot for SharePoint
Hardware and Software Requirements (PowerPivot for SharePoint


SQL Server Failover Cluster Wizard - Complete

[image]

SQL Server Failover Cluster Wizard - Complete
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


SQL Server Failover Cluster Wizard - Install

[image]

SQL Server Failover Cluster Wizard - Install
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


SQL Server Failover Cluster Wizard - Prepare

[image]

SQL Server Failover Cluster Wizard - Prepare
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


Summary (Upgrade)

[image]

Summary (Upgrade)
Send Feedback

Use the Summary page to view the specified options for this upgrade.


Setup Support Rules

[image]

Setup Support Rules
Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server Installation Wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

Additional Rule topics

See the following topics for scenario-specific Setup rules:

  • Installation Rules

  • Upgrade Rules Check

  • Edition Upgrade Rules

  • Uninstallation rules

  • Prepare Image Rules

  • Complete Image Rules


Uninstallation rules

[image]

Uninstallation rules
See Also Send Feedback

The Uninstallation Rules page will run a set of rules to ensure that the Setup operation can complete successfully.

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the SQL Server uninstallation wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


Upgrade Progress

[image]

Upgrade Progress
See Also Send Feedback

Use the Upgrade Progress page of the SQL Server Installation Wizard to monitor the status of the SQL Server upgrade.

See Also

Concepts

View and Read SQL Server Setup Log Files


Upgrade Rules Check

[image]

Upgrade Rules Check
See Also Send Feedback

SQL Server Setup validates your computer configuration before the Setup operation completes. During SQL Server Setup, the System Configuration Checker (SCC) scans the computer where SQL Server will be installed. The SCC checks for conditions that prevent a successful SQL Server setup operation. Before Setup starts the upgrade wizard, the SCC retrieves the status of each item. It then compares the result with required conditions and provides guidance for removal of blocking issues.

The system configuration check generates a report which contains a short description for each executed rule, and the execution status. The system configuration check report is located at %programfiles%\Microsoft SQL Server\110\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Before you run the setup operation, review the following topics:

  1. Hardware and Software Requirements for Installing SQL Server (http://go.microsoft.com/fwlink/?LinkId=235029)

  2. Features Supported by the Editions of SQL Server(http://go.microsoft.com/fwlink/?LinkId=235023)

  3. Security Considerations for a SQL Server Installation(http://go.microsoft.com/fwlink/?LinkId=235025)

  4. Local Language Versions in SQL Server(http://go.microsoft.com/fwlink/?LinkId=235027)

Other references:

  1. Supported Version and Edition Upgrades(http://go.microsoft.com/fwlink/?LinkId=235031)

  2. Before Installing Failover Clustering(http://go.microsoft.com/fwlink/?LinkId=235034)

See Also

Reference

Setup Support Rules


Verify Uninstall Options

[image]

Verify Uninstall Options
Send Feedback

Verify your selection, and then click Next to continue.


The topic you are seeking is unavailable

[image]

The topic you are seeking is unavailable
Send Feedback

After Setup completes, you can view the documentation for SQL Server by clicking Help, pressing the F1 key in dialog boxes or interface elements, or (from the Start menu) by pointing to All Programs, pointing to Microsoft SQL Server, pointing to Help & Community, and then clicking SQL Server Books Online. For more information, see Adding and Removing Help Collections.